Get import creditor profile options
curl --request GET \
--url https://api.ecomailhub.younegotiate.com/import-creditor-profiles/options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ecomailhub.younegotiate.com/import-creditor-profiles/options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ecomailhub.younegotiate.com/import-creditor-profiles/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"fields": [
{
"value": "company_name",
"header": "Company Name",
"required": true
},
{
"value": "contact_1_first_name",
"header": "Contact 1 First Name",
"required": false
}
],
"expected_headers": [
"Company Name",
"Company Address 1",
"Company Address 2",
"City",
"State",
"Zip",
"Phone",
"URL",
"Company Email",
"Passthrough",
"Contact 1 First Name",
"Contact 1 Last Name",
"Contact 1 Email",
"Contact 1 Phone",
"Contact 2 First Name",
"Contact 2 Last Name",
"Contact 2 Email",
"Contact 2 Phone",
"Contact 3 First Name",
"Contact 3 Last Name",
"Contact 3 Email",
"Contact 3 Phone"
],
"required_headers": [
"Company Name",
"Company Address 1",
"City",
"State",
"Zip",
"Phone",
"URL",
"Company Email"
],
"upload": {
"max_size_bytes": 104857600,
"max_size_mb": 100,
"accepted_extensions": [
"csv"
],
"accepted_mime_types": [
"text/csv",
"text/plain",
"application/csv",
"text/comma-separated-values",
"application/vnd.ms-excel",
"application/octet-stream"
]
}
}
}{
"message": "Unauthenticated."
}Get import creditor profile options
Return the creditor profile CSV header checklist and upload constraints used by the Import Creditor Profiles upload screen.
GET
/
import-creditor-profiles
/
options
Get import creditor profile options
Last modified on July 19, 2026
Was this page helpful?
⌘I

